---
search:
  tags:
    - Passkeys
    - PATCH
seo:
  description: >-
    Renames one of the caller's passkeys. Reference for the PATCH
    /passkeys/{passkeyId} endpoint in the Auth API.
sidebar:
  label: Rename a passkey
  badge: PATCH
title: Rename a passkey
type: openapi-operation
---
Renames one of the caller's passkeys.

`PATCH /passkeys/{passkeyId}`

**Request body** (`application/json`, required)

- `name` (string, required) — 1 to 64 characters, trimmed.

Request body example:

```json
{
  "name": "string"
}
```

**Responses**

- `200` — The renamed passkey.
- `default` — The request failed.

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "provider": "string",
  "synced": true,
  "backed_up": true,
  "transports": [
    "string"
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "last_used_at": "2019-08-24T14:15:22Z"
}
```
